ExtUtils::Builder::Action::Composite(3pm)

NAME
ExtUtils::Builder::Action::Composite - A base role for composite action classes

VERSION
version 0.020

DESCRIPTION
This is a base-role for all composite action classes

METHODS

  preference
This will prefer handling methods in the following order: flatten, execute, command, code

  execute
Execute all actions in this collection.

  to_command
This returns the list commands of all actions in the collection.

  to_code
This returns the list of evaluatable strings of all actions in the collection.

  preference
This will prefer handling methods in the following order: flatten, execute, command, code

AUTHOR
Leon Timmermans <fawaka@gmail.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2013 by Leon Timmermans.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.